aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.CreateUser

Synopsis

- data CreateUser = CreateUser {
  - cuUserName :: Text
  - cuPath :: Maybe Text
  }
- data CreateUserResponse = CreateUserResponse User
- data User = User {
  - userArn :: Text
  - userCreateDate :: UTCTime
  - userPath :: Text
  - userUserId :: Text
  - userUserName :: Text
  }

# Documentation

data CreateUser #

Creates a new user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_CreateUser.html

Constructors

CreateUser |

Fields

- cuUserName :: Text

  Name of the new user

- cuPath :: Maybe Text

  Path under which the user will be created. Defaults to `/` if omitted.

#### Instances

Instances details

SignQuery CreateUser # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Associated Types

type ServiceConfiguration CreateUser |
Instance details Defined in Aws.Iam.Commands.CreateUser type ServiceConfiguration CreateUser = IamConfiguration

Methods

signQuery :: CreateUser -> ServiceConfiguration CreateUser queryType -> SignatureData -> SignedQuery #

Show CreateUser # |
Instance details Defined in Aws.Iam.Commands.CreateUser Methods showsPrec :: Int -> CreateUser -> ShowS # show :: CreateUser -> String # showList :: [CreateUser] -> ShowS #
Eq CreateUser # |
Instance details Defined in Aws.Iam.Commands.CreateUser Methods (==) :: CreateUser -> CreateUser -> Bool # (/=) :: CreateUser -> CreateUser -> Bool #
Ord CreateUser # |
Instance details Defined in Aws.Iam.Commands.CreateUser Methods compare :: CreateUser -> CreateUser -> Ordering # (<) :: CreateUser -> CreateUser -> Bool # (<=) :: CreateUser -> CreateUser -> Bool # (>) :: CreateUser -> CreateUser -> Bool # (>=) :: CreateUser -> CreateUser -> Bool # max :: CreateUser -> CreateUser -> CreateUser # min :: CreateUser -> CreateUser -> CreateUser #
ResponseConsumer CreateUser CreateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Associated Types

type ResponseMetadata CreateUserResponse |
Instance details Defined in Aws.Iam.Commands.CreateUser type ResponseMetadata CreateUserResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateUser -> IORef (ResponseMetadata CreateUserResponse) -> HTTPResponseConsumer CreateUserResponse #

Transaction CreateUser CreateUserResponse # |
Instance details Defined in Aws.Iam.Commands.CreateUser
type ServiceConfiguration CreateUser # |
Instance details Defined in Aws.Iam.Commands.CreateUser type ServiceConfiguration CreateUser = IamConfiguration

data CreateUserResponse #

Constructors

CreateUserResponse User |

#### Instances

Instances details

AsMemoryResponse CreateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Associated Types

type MemoryResponse CreateUserResponse |
Instance details Defined in Aws.Iam.Commands.CreateUser type MemoryResponse CreateUserResponse = CreateUserResponse

Methods

loadToMemory :: CreateUserResponse -> ResourceT IO (MemoryResponse CreateUserResponse) #

Show CreateUserResponse # |
Instance details Defined in Aws.Iam.Commands.CreateUser Methods showsPrec :: Int -> CreateUserResponse -> ShowS # show :: CreateUserResponse -> String # showList :: [CreateUserResponse] -> ShowS #
Eq CreateUserResponse # |
Instance details Defined in Aws.Iam.Commands.CreateUser Methods (==) :: CreateUserResponse -> CreateUserResponse -> Bool # (/=) :: CreateUserResponse -> CreateUserResponse -> Bool #
Ord CreateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Methods

compare :: CreateUserResponse -> CreateUserResponse -> Ordering #

(<) :: CreateUserResponse -> CreateUserResponse -> Bool #

(<=) :: CreateUserResponse -> CreateUserResponse -> Bool #

(>) :: CreateUserResponse -> CreateUserResponse -> Bool #

(>=) :: CreateUserResponse -> CreateUserResponse -> Bool #

max :: CreateUserResponse -> CreateUserResponse -> CreateUserResponse #

min :: CreateUserResponse -> CreateUserResponse -> CreateUserResponse #

ResponseConsumer CreateUser CreateUserResponse # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Associated Types

type ResponseMetadata CreateUserResponse |
Instance details Defined in Aws.Iam.Commands.CreateUser type ResponseMetadata CreateUserResponse = IamMetadata

Methods

responseConsumer :: Request -> CreateUser -> IORef (ResponseMetadata CreateUserResponse) -> HTTPResponseConsumer CreateUserResponse #

Transaction CreateUser CreateUserResponse # |
Instance details Defined in Aws.Iam.Commands.CreateUser
type MemoryResponse CreateUserResponse # |
Instance details Defined in Aws.Iam.Commands.CreateUser type MemoryResponse CreateUserResponse = CreateUserResponse
type ResponseMetadata CreateUserResponse # |
Instance details Defined in Aws.Iam.Commands.CreateUser type ResponseMetadata CreateUserResponse = IamMetadata

data User #

The IAM `User` data type.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_User.html

Constructors

User |

Fields

- userArn :: Text

  ARN used to refer to this user.

- userCreateDate :: UTCTime

  Date and time at which the user was created.

- userPath :: Text

  Path under which the user was created.

- userUserId :: Text

  Unique identifier used to refer to this user.

- userUserName :: Text

  Name of the user.

#### Instances

Instances details

Show User # |
Instance details Defined in Aws.Iam.Core Methods showsPrec :: Int -> User -> ShowS # show :: User -> String # showList :: [User] -> ShowS #
Eq User # |
Instance details Defined in Aws.Iam.Core Methods (==) :: User -> User -> Bool # (/=) :: User -> User -> Bool #
Ord User # |
Instance details Defined in Aws.Iam.Core Methods compare :: User -> User -> Ordering # (<) :: User -> User -> Bool # (<=) :: User -> User -> Bool # (>) :: User -> User -> Bool # (>=) :: User -> User -> Bool # max :: User -> User -> User # min :: User -> User -> User #